CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2021-3564

A flaw double-free memory corruption in the Linux kernel HCI device initialization subsystem was found in the way user attach malicious HCI TTY Bluetooth device. A local user could use this flaw to crash the system. This flaw affects all the Linux kernel versions starting from 3.13.
Publish Date : 2021-06-08 Last Update Date : 2021-07-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
2.1
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Memory corruption
CWE ID 416

- Products Affected By CVE-2021-3564

# Product Type Vendor Product Version Update Edition Language
1 OS Fedoraproject Fedora 34 * * * Version Details Vulnerabilities
2 OS Linux Linux Kernel * * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Fedoraproject Fedora 1
Linux Linux Kernel 1

- References For CVE-2021-3564

https://lists.debian.org/debian-lts-announce/2021/06/msg00020.html
MLIST [debian-lts-announce] 20210623 [SECURITY] [DLA 2689-1] linux security update
https://lists.debian.org/debian-lts-announce/2021/06/msg00019.html
MLIST [debian-lts-announce] 20210623 [SECURITY] [DLA 2690-1] linux-4.19 security update
http://www.openwall.com/lists/oss-security/2021/05/25/1
MLIST [oss-security] 20210525 CVE-2021-3564 Linux Bluetooth device initialization implementation bug
https://www.openwall.com/lists/oss-security/2021/05/25/1
http://www.openwall.com/lists/oss-security/2021/06/01/2
MLIST [oss-security] 20210601 Re: CVE-2021-3564 Linux Bluetooth device initialization implementation bug
https://bugzilla.redhat.com/show_bug.cgi?id=1964139

- Metasploit Modules Related To CVE-2021-3564

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.